FROM node:latest

RUN mkdir -p /usr/src/app

WORKDIR /usr/src/app

COPY package.json /usr/src/app/

RUN npm install --production --registry=https://registry.npm.taobao.org
# RUN npm install yarn --registry=https://registry.npm.taobao.org
# RUN yarn config set registry https://registry.npm.taobao.org
# RUN yarn config set disturl https://npm.taobao.org/dist
# RUN yarn install

COPY . /usr/src/app

EXPOSE 9401

CMD npm run start